import { pTokensSwap } from './ptokens-swap';
import { pTokensAsset } from 'ptokens-entities';
import { pTokensNode } from 'ptokens-node';
export declare class pTokensSwapBuilder {
    private _sourceAsset;
    private _destinationAssets;
    private _amount;
    private _node;
    constructor(node: pTokensNode);
    get sourceAsset(): pTokensAsset;
    get destinationAssets(): Array<pTokensAsset>;
    get amount(): string;
    get node(): pTokensNode;
    setSourceAsset(asset: pTokensAsset): this;
    addDestinationAsset(asset: pTokensAsset, destinationAddress: string, userData?: Uint8Array): this;
    setAmount(_amount: number | string): this;
    private isValidSwap;
    build(): pTokensSwap;
}
